| LPCOpen Platform v1.03 LPCOpen Platform for NXP LPC Microcontrollers

- Main Page
- Modules
- Data Structures
- Files
- Related Pages

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Structures | Functions
IP: ATimer register block and driver
IP drivers: Common drivers used on multiple NXP devices

## Detailed Description

Alarm timer

## Data Structures
struct | IP_ATIMER_001_T
| Alarm Timer register block structure. More...

## Functions
void | IP_ATIMER_DeInit (IP_ATIMER_001_T *pATimer)
| Close ATIMER device.
STATIC INLINE void | IP_ATIMER_ClearIntStatus (IP_ATIMER_001_T *pATimer)
| Clear ATIMER Interrupt Status.
STATIC INLINE void | IP_ATIMER_SetIntStatus (IP_ATIMER_001_T *pATimer)
| Set ATIMER Interrupt Status.
STATIC INLINE void | IP_ATIMER_IntEnable (IP_ATIMER_001_T *pATimer)
| Enable ATIMER Interrupt.
STATIC INLINE void | IP_ATIMER_IntDisable (IP_ATIMER_001_T *pATimer)
| Disable ATIMER Interrupt.
STATIC INLINE void | IP_ATIMER_UpdatePresetValue (IP_ATIMER_001_T *pATimer, uint32_t PresetValue)
| Update Preset value.
STATIC INLINE uint32_t | IP_ATIMER_GetPresetValue (IP_ATIMER_001_T *pATimer)
| Read value of preset register.
STATIC INLINE uint32_t | IP_ATIMER_GetIntEnableState (IP_ATIMER_001_T *pATimer)
| Returns enable state of ATimer interrupt.
STATIC INLINE uint32_t | IP_ATIMER_GetIntPendingState (IP_ATIMER_001_T *pATimer)
| Returns current pending state of ATimer interrupt.

## Function Documentation

STATIC INLINE void IP_ATIMER_ClearIntStatus | ( | IP_ATIMER_001_T * | pATimer | ) |

Clear ATIMER Interrupt Status.

Parameters

  pATimer | : Pointer to timer device

Returns
  None

Definition at line 77 of file atimer_001.h.

void IP_ATIMER_DeInit | ( | IP_ATIMER_001_T * | pATimer | ) |

Close ATIMER device.

Parameters

  pATimer | : Pointer to timer device

Returns
  None

Note
  Important: 32KHz clock must be enabled in CREG prior to this call. See the User Manual for more information.

Definition at line 51 of file atimer_001.c.

STATIC INLINE uint32_t IP_ATIMER_GetIntEnableState | ( | IP_ATIMER_001_T * | pATimer | ) |

Returns enable state of ATimer interrupt.

Parameters

  pATimer | : Pointer to timer/counter device

Returns
  !0 if the ATimer interrupt is enabled, otherwise 0

Definition at line 137 of file atimer_001.h.

STATIC INLINE uint32_t IP_ATIMER_GetIntPendingState | ( | IP_ATIMER_001_T * | pATimer | ) |

Returns current pending state of ATimer interrupt.

Parameters

  pATimer | : Pointer to timer/counter device

Returns
  !0 if the ATimer interrupt is asserted, otherwise 0

Definition at line 147 of file atimer_001.h.

STATIC INLINE uint32_t IP_ATIMER_GetPresetValue | ( | IP_ATIMER_001_T * | pATimer | ) |

Read value of preset register.

Parameters

  pATimer | : Pointer to timer/counter device

Returns
  Value of capture register

Definition at line 127 of file atimer_001.h.

STATIC INLINE void IP_ATIMER_IntDisable | ( | IP_ATIMER_001_T * | pATimer | ) |

Disable ATIMER Interrupt.

Parameters

  pATimer | : Pointer to timer device

Returns
  None

Definition at line 106 of file atimer_001.h.

STATIC INLINE void IP_ATIMER_IntEnable | ( | IP_ATIMER_001_T * | pATimer | ) |

Enable ATIMER Interrupt.

Parameters

  pATimer | : Pointer to timer device

Returns
  None

Definition at line 96 of file atimer_001.h.

STATIC INLINE void IP_ATIMER_SetIntStatus | ( | IP_ATIMER_001_T * | pATimer | ) |

Set ATIMER Interrupt Status.

Parameters

  pATimer | : Pointer to timer device

Returns
  None

Definition at line 87 of file atimer_001.h.

STATIC INLINE void IP_ATIMER_UpdatePresetValue | ( | IP_ATIMER_001_T * | pATimer,
|  | uint32_t | PresetValue
| ) |  |

Update Preset value.

Parameters

  pATimer | : Pointer to timer device
  PresetValue | updated preset value

Returns
  Nothing

Definition at line 117 of file atimer_001.h.